Ed25519Test (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.math.ec.rfc8032.test

## Class Ed25519Test

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.math.ec.rfc8032.test.Ed25519Test

- All Implemented Interfaces:
    junit.framework.Test

      public class Ed25519Test
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ed25519Test()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testEd25519Consistency()`
    `void` | `testEd25519ConsistencyExpandedKey()`
    `void` | `testEd25519CrossConsistencyExpandedKey()`
    `void` | `testEd25519ctxConsistency()`
    `void` | `testEd25519ctxVector1()`
    `void` | `testEd25519ctxVector2()`
    `void` | `testEd25519ctxVector3()`
    `void` | `testEd25519ctxVector4()`
    `void` | `testEd25519phConsistency()`
    `void` | `testEd25519phVector1()`
    `void` | `testEd25519Vector1()`
    `void` | `testEd25519Vector1023()`
    `void` | `testEd25519Vector2()`
    `void` | `testEd25519Vector3()`
    `void` | `testEd25519VectorSHAabc()`
    `void` | `testPublicKeyValidationFull()`
    `void` | `testPublicKeyValidationPartial()`
    `void` | `testTamingNonRepudiation()`
    `void` | `testTamingVector_00()`
    `void` | `testTamingVector_01()`
    `void` | `testTamingVector_02()`
    `void` | `testTamingVector_03()`
    `void` | `testTamingVector_04()`
    `void` | `testTamingVector_05()`
    `void` | `testTamingVector_06()`
    `void` | `testTamingVector_07()`
    `void` | `testTamingVector_08()`
    `void` | `testTamingVector_09()`
    `void` | `testTamingVector_10()`
    `void` | `testTamingVector_11()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Ed25519Test

          public Ed25519Test()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### testEd25519Consistency

          public void testEd25519Consistency()

    - #### testEd25519ConsistencyExpandedKey

          public void testEd25519ConsistencyExpandedKey()

    - #### testEd25519CrossConsistencyExpandedKey

          public void testEd25519CrossConsistencyExpandedKey()

    - #### testEd25519ctxConsistency

          public void testEd25519ctxConsistency()

    - #### testEd25519phConsistency

          public void testEd25519phConsistency()

    - #### testEd25519Vector1

          public void testEd25519Vector1()

    - #### testEd25519Vector2

          public void testEd25519Vector2()

    - #### testEd25519Vector3

          public void testEd25519Vector3()

    - #### testEd25519Vector1023

          public void testEd25519Vector1023()

    - #### testEd25519VectorSHAabc

          public void testEd25519VectorSHAabc()

    - #### testEd25519ctxVector1

          public void testEd25519ctxVector1()

    - #### testEd25519ctxVector2

          public void testEd25519ctxVector2()

    - #### testEd25519ctxVector3

          public void testEd25519ctxVector3()

    - #### testEd25519ctxVector4

          public void testEd25519ctxVector4()

    - #### testEd25519phVector1

          public void testEd25519phVector1()

    - #### testPublicKeyValidationFull

          public void testPublicKeyValidationFull()

    - #### testPublicKeyValidationPartial

          public void testPublicKeyValidationPartial()

    - #### testTamingNonRepudiation

          public void testTamingNonRepudiation()

    - #### testTamingVector_00

          public void testTamingVector_00()

    - #### testTamingVector_01

          public void testTamingVector_01()

    - #### testTamingVector_02

          public void testTamingVector_02()

    - #### testTamingVector_03

          public void testTamingVector_03()

    - #### testTamingVector_04

          public void testTamingVector_04()

    - #### testTamingVector_05

          public void testTamingVector_05()

    - #### testTamingVector_06

          public void testTamingVector_06()

    - #### testTamingVector_07

          public void testTamingVector_07()

    - #### testTamingVector_08

          public void testTamingVector_08()

    - #### testTamingVector_09

          public void testTamingVector_09()

    - #### testTamingVector_10

          public void testTamingVector_10()

    - #### testTamingVector_11

          public void testTamingVector_11()